VisualEditor: Part of link inspector interface sometimes remains (top-left of screen) after closing
Closed, ResolvedPublic

Description
  1. In VE, highlight some text and open the link inspector
  2. Type some characters into the textbox, but quickly click out of the link inspector before the autocomplete dropdown appears

The dropdown appears in the top-left corner of the page.


Version: unspecified
Severity: major

bzimport set Reference to bz49941.
TTO created this task.Via LegacyJun 21 2013, 7:16 AM
Eloquence added a comment.Via ConduitJul 3 2013, 11:17 PM

Confirmed. This also happens if you type too quickly and press enter.

Eloquence added a comment.Via ConduitJul 9 2013, 12:53 AM

I am raising the severity on this, because it is not just a display bug, but also causes the intended link target to be ignored -- if the user confirms the link with enter, only the link title is used and the link target is quietly discarded.

matmarex added a comment.Via ConduitJul 9 2013, 12:55 AM

(This happens particularly often on Opera for me, by the way. I haven't yet investigated the issue.)

gerritbot added a comment.Via ConduitJul 9 2013, 10:15 PM

Change 72849 had a related patch set uploaded by Robmoen:
Be sure lookupMenu input is focused before showing inputMenu.

https://gerrit.wikimedia.org/r/72849

Krinkle added a comment.Via ConduitJul 9 2013, 11:13 PM
  • Bug 51077 has been marked as a duplicate of this bug. ***
Krinkle added a comment.Via ConduitJul 9 2013, 11:13 PM

(Cite bug 51077 comment #0)

Created attachment bug 51077 12810 [details]
Screenshot of ripped-apart link inspector

I can consistently reproduce the following:

  • Select an unlinked word
  • Create the insert link button (with intention to turn the word into a link)
  • If you hit Return immediately after (before it has finished opening) it will replace the focussed node with a new line. Though that is a separate bug and arguably an invalid use case (why would one be pressing Return at this point, the user hasn't even seen the options yet. It interpreting it as intend to replace the node isn't entirely unreasable, but that's a separate bug - bug 51075).
  • At this point the link inspector dom has blown up. Part of it is gone, and the other part is left half-way across the screen at a seemingly arbitrary offset (see attachment).
gerritbot added a comment.Via ConduitJul 9 2013, 11:32 PM

Change 72849 merged by jenkins-bot:
Be sure lookupMenu input is focused before showing

https://gerrit.wikimedia.org/r/72849

Jdforrester-WMF added a comment.Via ConduitJul 9 2013, 11:48 PM

Fixed and will go out soon.

Eloquence added a comment.Via ConduitJul 16 2013, 1:09 AM

Not completely fixed; see bug 51415.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.